diff --git a/projects/Amlogic-ce/packages/addons/addon-depends/qt-everywhere/package.mk b/projects/Amlogic-ce/packages/addons/addon-depends/qt-everywhere/package.mk
index c9fd8fcf91..248dedabc9 100644
--- a/projects/Amlogic-ce/packages/addons/addon-depends/qt-everywhere/package.mk
+++ b/projects/Amlogic-ce/packages/addons/addon-depends/qt-everywhere/package.mk
@@ -69,7 +69,6 @@ PKG_CONFIGURE_OPTS_TARGET="-prefix /usr
                            -skip qtwayland
                            -skip qtwebchannel
                            -skip qtwebengine
-                           -skip qtwebsockets
                            -skip qtwebview
                            -skip qtwinextras
                            -skip qtx11extras
diff --git a/projects/Amlogic-ce/packages/addons/service/hyperion.ng/package.mk b/projects/Amlogic-ce/packages/addons/service/hyperion.ng/package.mk
index c3626689c4..50b3c7ff66 100644
--- a/projects/Amlogic-ce/packages/addons/service/hyperion.ng/package.mk
+++ b/projects/Amlogic-ce/packages/addons/service/hyperion.ng/package.mk
@@ -2,13 +2,14 @@
 # Copyright (C) 2018-present Team CoreELEC (https://coreelec.org)
 
 PKG_NAME="hyperion.ng"
-PKG_VERSION="2.0.16"
-PKG_SHA256="966a5494b75708c04213e1c28aff5c9a909b689ccc19d52c6c708a270b00ca8a"
+PKG_VERSION="2.2.1"
+PKG_SHA256=""
 PKG_REV="116"
 PKG_LICENSE="GPL"
 PKG_SITE="https://github.com/hyperion-project/hyperion.ng"
 PKG_URL="https://github.com/hyperion-project/hyperion.ng/archive/$PKG_VERSION.tar.gz"
-PKG_DEPENDS_TARGET="toolchain Python3 libusb qt-everywhere protobuf flatbuffers:host flatbuffers libjpeg-turbo qmdnsengine mbedtls alsa-lib"
+#PKG_DEPENDS_TARGET="toolchain Python3 libusb qt-everywhere protobuf flatbuffers:host flatbuffers libjpeg-turbo qmdnsengine mbedtls alsa-lib"
+PKG_DEPENDS_TARGET="toolchain Python3 libusb qt-everywhere protobuf flatbuffers:host flatbuffers libjpeg-turbo mbedtls qmdnsengine libdrm libcap alsa-lib"
 PKG_SECTION="service"
 PKG_SHORTDESC="Hyperion.NG: an AmbiLight controller"
 PKG_LONGDESC="Hyperion.NG($PKG_VERSION) is an modern opensource AmbiLight implementation."
@@ -20,12 +21,16 @@ PKG_ADDON_TYPE="xbmc.service"
 PKG_CMAKE_OPTS_TARGET="-DCMAKE_NO_SYSTEM_FROM_IMPORTED=ON \
                        -DCMAKE_BUILD_TYPE=Release \
                        -DPython3_EXECUTABLE=${TOOLCHAIN}/bin/python3 \
+                       -DProtobuf_PROTOC_EXECUTABLE=${TOOLCHAIN}/bin/protoc \
+                       -DPROTOC_EXECUTABLE=${TOOLCHAIN}/bin/protoc \
                        -DUSE_SYSTEM_PROTO_LIBS=ON \
                        -DUSE_SYSTEM_FLATBUFFERS_LIBS=ON \
                        -DUSE_SYSTEM_QMDNS_LIBS=ON \
                        -DUSE_SYSTEM_MBEDTLS_LIBS=ON \
+                       -DUSE_SYSTEM_LIBUSB_LIBS=ON \
                        -DPLATFORM=amlogic \
                        -DENABLE_AMLOGIC=ON \
+                       -DENABLE_DRM=OFF \
                        -DENABLE_DISPMANX=OFF \
                        -DENABLE_CEC=OFF \
                        -DENABLE_FB=ON \
@@ -34,12 +39,14 @@ PKG_CMAKE_OPTS_TARGET="-DCMAKE_NO_SYSTEM_FROM_IMPORTED=ON \
                        -DENABLE_V4L2=ON \
                        -DENABLE_OSX=OFF \
                        -DENABLE_DEV_SPI=ON \
+                       -DENABLE_DEV_USB_HID=OFF \
+                       -DENABLE_DEV_SERIAL=OFF \
+                       -DENABLE_DEV_FTDI=OFF \
                        -DENABLE_MDNS=ON \
                        -DENABLE_DEV_TINKERFORGE=OFF \
                        -DENABLE_TESTS=OFF \
                        -DENABLE_DEPLOY_DEPENDENCIES=OFF \
                        -Wno-dev"
-
 addon() {
   mkdir -p $ADDON_BUILD/$PKG_ADDON_ID/bin
     cp $PKG_BUILD/.$TARGET_NAME/bin/* $ADDON_BUILD/$PKG_ADDON_ID/bin
diff --git a/projects/Amlogic-ce/packages/addons/service/hyperion.ng/patches/0001-Remove-unused-libs-for-Amlogic-platform.patch b/projects/Amlogic-ce/packages/addons/service/hyperion.ng/patches.disabled/0001-Remove-unused-libs-for-Amlogic-platform.patch
similarity index 100%
rename from projects/Amlogic-ce/packages/addons/service/hyperion.ng/patches/0001-Remove-unused-libs-for-Amlogic-platform.patch
rename to projects/Amlogic-ce/packages/addons/service/hyperion.ng/patches.disabled/0001-Remove-unused-libs-for-Amlogic-platform.patch
diff --git a/projects/Amlogic-ce/packages/addons/service/hyperion.ng/patches/0002-Embed-image-format-plugins-at-Amlogic-platform.patch b/projects/Amlogic-ce/packages/addons/service/hyperion.ng/patches.disabled/0002-Embed-image-format-plugins-at-Amlogic-platform.patch
similarity index 100%
rename from projects/Amlogic-ce/packages/addons/service/hyperion.ng/patches/0002-Embed-image-format-plugins-at-Amlogic-platform.patch
rename to projects/Amlogic-ce/packages/addons/service/hyperion.ng/patches.disabled/0002-Embed-image-format-plugins-at-Amlogic-platform.patch
